GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gridfire::NetIn Struct Reference

`#include <network.h>`

## Public Member Functions
std::vector< double > | MolarAbundance () const

## Public Attributes
fourdst::composition::Composition | composition
| Composition of the network.
double | tMax
| Maximum time.
double | dt0
| Initial time step.
double | temperature
| Temperature in Kelvin.
double | density
| Density in g/cm^3.
double | energy
| Energy in ergs.
double | culling = 0.0
| Culling threshold for reactions (default is 0.0, meaning no culling)

## Detailed Description

Definition at line 53 of file network.h.

## Member Function Documentation

## ◆ MolarAbundance()

std::vector< double > gridfire::NetIn::MolarAbundance | ( |  | ) | const

Definition at line 30 of file network.cpp.

## Member Data Documentation

## ◆ composition

fourdst::composition::Composition gridfire::NetIn::composition

Composition of the network.

Definition at line 54 of file network.h.

## ◆ culling

double gridfire::NetIn::culling = 0.0

Culling threshold for reactions (default is 0.0, meaning no culling)

Definition at line 60 of file network.h.

## ◆ density

double gridfire::NetIn::density

Density in g/cm^3.

Definition at line 58 of file network.h.

## ◆ dt0

double gridfire::NetIn::dt0

Initial time step.

Definition at line 56 of file network.h.

## ◆ energy

double gridfire::NetIn::energy

Energy in ergs.

Definition at line 59 of file network.h.

## ◆ temperature

double gridfire::NetIn::temperature

Temperature in Kelvin.

Definition at line 57 of file network.h.

## ◆ tMax

double gridfire::NetIn::tMax

Maximum time.

Definition at line 55 of file network.h.

The documentation for this struct was generated from the following files:

- src/include/gridfire/network.h
- src/lib/network.cpp